<?
include 'config.php';
include 'func.php';
head();
ban();
aut();

echo head . 'Мой городок' . div . katalog;
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'my_city' WHERE `id` = '".$id_session."'");
####################################################
function img($msg){ 
  $img = "<img src='my_city_images/$msg' alt='' /> ";
return $img; 
};

function back($url){
  echo "<div class='menu_razd'><img src='my_city_images/3.png' alt='' /> <a href='?mod=$url'>Назад</a></div></div>";
return;
};

function div($text){
  echo "<div class='menu_razd'>$text</div>";
return;
};
function preg($a, $metod, $n){
 
 if ( $n == 1 ) $nabor = 'a-zA-Z0-9_'; else $nabor = '0-9';
 
 if ( $metod == 'POST')
  If (!isset($_POST[$a]) || !preg_match("!^[" . $nabor . "]+$!i",$_POST[$a])) $result = false; else $result = $_POST[$a]; 
 else
  If (!isset($_GET[$a]) || !preg_match("!^[" . $nabor . "]+$!i",$_GET[$a])) $result = false; else $result = $_GET[$a];
 
 if ( $a == 'num' and $result < 1 || $result > 5 ) $result = false;
 
return $result;
};

function stat_city($info){
  $sql = mysql_query ("SELECT * FROM `my_city_stat` ORDER BY 'people'");
  $people = $info['people_1'] + $info['people_2'] + $info['people_3'] + $info['people_4'] + $info['people_5'];
  while ($stat = mysql_fetch_assoc($sql)) if ( $stat['people'] <= $people ) $stat_k = $stat['name'];
return $stat_k;
};

function vrema($time){
  if ( $time < 60) $time_k = $time.' сек';
  if ( $time > 60) $time_k = ceil ( $time / 60 ).' мин';  
  if ( $time > 60 * 60 ) $time_k = ceil ( $time / 60 / 60 ).' ч.';
return $time_k;
};

function lvl_up(){
  if ( $info['exp'] >= 30 * $info['lvl'] * 2 ) {
    mysql_query( "UPDATE `my_city_user` SET `lvl` = `lvl` + '1', `exp` = '0' WHERE `login` = '$info[login]' LIMIT 1");
    echo "Поздровляем! Вы получили " . ( $info['lvl'] + 1 ) . " уровень. <br />";
   }
return;
};

if (!isset($user)) {
echo "Игра доступна только зарегестрированным пользователям! Зарегестрируйтесь или авторизуйтесь на сайте! <br />";
include_once 'sys/inc/tfoot.php';
exit;
}

$s = mysql_fetch_array ( mysql_query ("SELECT * FROM `my_city_settings` WHERE id = '1' LIMIT 1"));
$mod = preg('mod', 'GET', 1);

if ( mysql_num_rows ( mysql_query ("SELECT * FROM `my_city_user` WHERE login = '$user[login]'") )==1){

$info = mysql_fetch_array ( mysql_query ("SELECT * FROM `my_city_user` WHERE login='$user[login]' LIMIT 1"));

} else {
div('Создание города');
if ( isset($_POST['name']) )
{
If (!isset($_POST['name']) || !preg_match("!^[\x80-\xFFA-z0-9_ ]+$!i",$_POST['name'])) $name=false; else $name=$_POST['name'];
$error='';
if ( $name == false ) $error.= 'Не верное название города.<br/>';
if ( strlen($name )<3 || strlen($name)>21) $error.= 'Название должен состоять из 4 - 20 символов!<br/>';
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `my_city_user` WHERE `name_city` = '$name'") )==1) $error.= 'Такой город уже существует.<br/>';
if(!empty($error)) { echo "<font color='red'>$error</font> <br />
<form action='?' method='post'>
Название города: <br />
<input type='text' name='name' maxlength='20' /> <br />
<input type='submit' value='Создать' /></form>";
} else {
$stat = mysql_result(mysql_query("SELECT `name` FROM `my_city_stat` WHERE `id` = '1'"),0);
mysql_query( "INSERT INTO `my_city_user` SET `login` = '$user[login]', `name_city` = '$name', `money` = '$s[initial_money]', `date` = '" . time() . "', `stat` = '$stat'");
echo "Деревня под названием <b>$name</b> успешно созданна. <br />
<a href='?'>В игру</a>";
}
}
else
{
echo "Вы становитесь на путь мэра. Создайте свою деревушку и развивайте ее до мегаполиса. У вас начальный капитал в размере $s[initial_money] " . img('1.gif') . ". <br />
<form action='?' method='post'>
Название города: <br />
<input type='text' name='name' maxlength='20' /> <br />
<input type='submit' value='Создать' /></form>";
}
navig();
foot();
EXIT;
}

switch ($mod) {

case 'money':
div('Сбор зарплаты');
if ( $info['date_money'] < time() ){
 $money = ( $info['people_1'] + $info['people_2'] + $info['people_3'] + $info['people_4'] + $info['people_5'] ) * $s['people_money'];
 $exp = intval ( $money / 100 );
 if ( $info['damage'] != 0 ) $money = $money / 2;
 mysql_query( "UPDATE `my_city_user` SET `money` = `money` + '$money', `exp` = `exp` + '$exp', `date_money` = '" . (time() + 24 * 60 * 60) . "' WHERE `login` = '$info[login]' LIMIT 1");
   if ( $info['exp'] + $exp >= 30 * $info['lvl'] * 2 ) {
    mysql_query( "UPDATE `my_city_user` SET `lvl` = `lvl` + '1', `exp` = '0' WHERE `login` = '$info[login]' LIMIT 1");
    echo "Поздровляем! Вы получили " . ( $info['lvl'] + 1 ) . " уровень. <br />";
   }
 echo "Вы успешно собрали зарплату в размере <b>$money</b> " . img('1.gif') . "<br /> Ваш опыт повысился на <b>$exp</b>. <br />";
}else echo "Следующая зарплата через " . vrema( $info['date_money'] - time() ) . "<br />";
back('');
break;

case 'people_2':
$num = preg('num', 'GET', 1);
$kol = abs ( ceil ( preg('kol', 'POST', 0)));
div('Реклама жилья');
if ( $num != false ){
 if ( $kol != false and $kol > 0){
 $money = $kol * $s['rekl_money'];
  if ( $info['money'] >= $money ){
  $people_max = $info['home_'.$num] * $s['home_people'] - $info['people_'.$num];
   if ( $people_max < $kol ) $kol = $people_max;
   echo "Вы потратили <b>$money</b>" . img('1.gif') . "<br /> Блогодаря рекламе к вам заселилось <b>$kol</b>  человек. <br />";
   $stat = stat_city($info);
   mysql_query( "UPDATE `my_city_user` SET `money` = `money` - '$money', `people_" . $num . "` = `people_" . $num . "` + '$kol', `stat` = '$stat' WHERE `login` = '$info[login]' LIMIT 1");
  }else echo "Не достаточно " . ($money - $info['money']) . "" . img('1.gif') . " <br />";
 }else echo "Не верное значение количества покупаемой рекламы. <br />";
}else echo "Такова дома не существует! <br />";
back('people&amp;num='.$num);
break;

case 'people':
$num = preg('num', 'GET', 1);
div('Реклама жилья');
if ( $num != false ){
 echo "Стоимость одной рекламы $s[rekl_money]" . img('1.gif') . " <br />
 В доме <b>" . ($info['home_'.$num] * $s['home_people'] - $info['people_'.$num]) . "</b> свободных мест. <br />
 <form action='?mod=people_2&amp;num=$num' method='post'>
 Кол. покупаемой рекламы: <br />
 <input type='text' name='kol' maxlength='3' /> <br />
 <input type='submit' value='Купить' /></form>";
} else echo "Такова дома не существует! <br />'";
back('home&amp;num='.$num);
break;

case 'build':
$num = preg('num', 'GET', 1);
if ( $num != false ){
 if ( $info['home_'.$num] > 0 ){
 div('Улучшение дома');
 if ($info['lvl'] >= $info['home_'.$num] + 1)
 {
 $money = ($info['home_'.$num] + 1) * $s['home_money'];
  if ( $info['money'] >= $money ){
   echo "Вы успешно улучшили дом на участке $num. <br />";
   mysql_query( "UPDATE `my_city_user` SET `money` = `money` - '$money', `home_" . $num . "` = home_" . $num . " + '1' WHERE `login` = '$info[login]' LIMIT 1") or die(mysql_error());
  }else echo "Не достаточно " . ( $money - $info['money'] ) . "" . img('1.gif') . " <br />";
 }else echo "Ваш уровень не позволяет улучшить этот дом. <br />";
 }else{
 div('Постройка дома');
  if ( $info['money'] >= $s['home_money'] ){
   echo "Вы успешно построили дом на участке $num. <br />";
   mysql_query( "UPDATE `my_city_user` SET `money` = `money` - '$s[home_money]', `home_" . $num . "` = '1' WHERE `login` = '$info[login]' LIMIT 1");
  }else echo "Не достаточно " . ( $s['home_money'] - $info['money'] ) . "" . img('1.gif') . " <br />";
 }
}else echo "Такова участка не существует! <br />";
back('home&amp;num='.$num);
break;

case 'home':
$num = preg('num', 'GET', 1);
if ( $info['home_'.$num] > 0 ) $text = 'домом'; else $text = 'участком';
div('Управление '. $text);
if ( $num != false ){
 if ( $info['home_'.$num] > 0 )
 {
  echo "Уровень дома: <b>" . $info['home_'.$num] . "</b> <br />
  Жителей: <b>" . $info['people_'.$num] . "</b> (макс. " . ($info['home_'.$num] * $s['home_people']) . ") <br />
  Участок: <b>$num</b> <br />
  <a href='?mod=people&amp;num=$num '>Найти жителей</a> <br />";
  if ( $info['lvl'] >= $info['home_'.$num] + 1) echo img('2.png') . "<a href='?mod=build&amp;num=$num'>Улучшить дом</a> " . (($info['home_'.$num] + 1) * $s['home_money']) . "" . img('1.gif') . "<br />";
 }else{
  echo "Участок: <b>$num</b> <br />
  " . img('2.png') . "<a href='?mod=build&amp;num=$num'>Построить дом</a> $s[home_money] " . img('1.gif') . " <br />";
 }
}else echo "Такова участка не существует! <br />";
back('');
break;

case 'stat':
div('Статистика');
echo "Всего городков <b>" . mysql_num_rows ( mysql_query(" SELECT * FROM `my_city_user` ") ) . "</b> <br />";
  $sql = mysql_query ("SELECT * FROM `my_city_stat` ORDER BY 'people' DESC");
  while ($stat = mysql_fetch_assoc($sql)) 
   echo $stat['name'] . ": " .  mysql_num_rows ( mysql_query( " SELECT * FROM `my_city_user` WHERE `stat` = '$stat[name]' " ) ) . " шт. <br />";
back('');
break;

case 'liaders':
div('Лидеры');
echo "Самый богатый: <br />";
$max_money = mysql_result(mysql_query("SELECT MAX(money) FROM `my_city_user`"), 0);
$user_info = mysql_fetch_array ( mysql_query ("SELECT * FROM `my_city_user` WHERE `money` = '$max_money' LIMIT 1"));
echo $user_info['login'] . " ($user_info[name_city]): <b>$user_info[money]</b> " . img('1.gif') . " <br />";
echo "Самый заселеный: <br />";
$user_info = mysql_fetch_array ( mysql_query("SELECT * FROM `my_city_user` ORDER BY `people_1` + `people_2` + `people_3` + `people_4` + `people_5` DESC LIMIT 1") );
$max_people = mysql_result(mysql_query("SELECT MAX(`people_1` + `people_2` + `people_3` + `people_4` + `people_5`) FROM `my_city_user`"), 0);
$user_info = mysql_fetch_array ( mysql_query ("SELECT * FROM `my_city_user` WHERE `people_1` + `people_2` + `people_3` + `people_4` + `people_5` = '$max_people' LIMIT 1"));
echo $user_info['login'] . " ($user_info[name_city]): <b>" . ( $user_info['people_1'] +  $user_info['people_2'] + $user_info['people_3'] + $user_info['people_4'] + $user_info['people_5']) . "</b> жителей <br />";
back('');
break;

case 'about_game':
div('Об игре');
echo "Название: <b>Мой городок</b> <br />
Версия: <b>1.2</b> <br />
Разработчик: <b>Klesh</b> ICQ: 419 502 384 <br />";
back('');
break;

case 'neighbor_2':
div('Навредить соседу');
$l = preg('l', 'POST', 1);
$v = preg('v', 'POST', 0);
 if ( mysql_num_rows ( mysql_query ("SELECT * FROM `my_city_user` WHERE `login` = '$l'") )==1){
  if ( $v == 1 || $v == 2 || $v == 3 ){
   if ( $info['money'] >= $s['neighbor_'.$v] ){
   $array = array ("1"=>"разбив ему стекла в домах", "2"=>"разрисовав его дома", "3"=>"обрезав электрокабель");
    echo "Вы успешно навредиди соседу $l $array[$v]. <br />";
    mysql_query( "UPDATE `my_city_user` SET `money` = `money` - '" . $s['neighbor_'.$v] . "' WHERE `login` = '$info[login]' LIMIT 1");
    mysql_query( "UPDATE `my_city_user` SET `damage` = '$v' WHERE `login` = '$l' LIMIT 1");
   }else echo "Не достаточно " . ( $s['neighbor_'.$v] - $info['money'] ) . " " . img('1.gif') . ". <br />";
  }else echo "Не верное действие. <br />";
 }else echo "Такова игрока не существует. <br />";
back('neighbor');
break;

case 'neighbor':
div('Навредить соседу');
echo "<form action='?mod=neighbor_2' method='post'>
 Кому вредим: <br />
 <input type='text' name='l' maxlength='30' /> <br />
 Как вредим: <br />
 <input type='radio' name='v' value='1' checked='checked' />Разбить окна $s[neighbor_1] " . img('1.gif') . " <br /> 
<input type='radio' name='v' value='2' />Разрисовать стены $s[neighbor_2] " . img('1.gif') . " <br />
<input type='radio' name='v' value='3' />Обрезать электрокабель $s[neighbor_3] " . img('1.gif') . " <br />
 <input type='submit' value='Навредить' /></form>";
back('');
break;

case 'state_2':
div('Ремонт домов');
if ( $info[money] >= $s[neighbor_.$info[damage]] ){
 mysql_query( "UPDATE `my_city_user` SET `money` = `money` - '" . $s['neighbor_'.$info['damage']] . "', `damage` = '0' WHERE `login` = '$info[login]' LIMIT 1");
 echo "Ваши здания успешно отремонтированы. <br />";
}else echo "Не достаточно денег. <br />";
back('states');
break;

case 'state':
div('Состояние домов');
if ( $info['damage'] != 0 ){
 $array = array ("1"=>"Разбиты стекла", "2"=>"Разресованы стены", "3"=>"Обрезан электрокабель");
 echo "Дома повреждены: <br />" . $array[$info[damage]] . ". <br /> <a href='?mod=state_2'>Ремонт</a> " . $s['neighbor_'.$info['damage']] . " " . img('1.gif') . " <br />";
}else echo "Состояние всех домов хорошее. <br />";
back('');
break;

default:
div(win2utf($info['stat']) .' '. $info['name_city']);
echo "<small>
Мэр: <b>$info[login]</b> <br />
Бюджет: <b>$info[money]</b>" . img('1.gif') . " <br />
Уровень: " . img('4.png') . "<b>$info[lvl]</b> <br />
Опыт: <b>$info[exp]</b>/" . (30 * $info['lvl'] * 2) . " <br /></small>";
div('Участки');
echo "<a href='?mod=home&amp;num=1'>"; if ( $info['home_1'] > 0) echo img('6.gif') . "Дом ($info[home_1] уровень) <br />"; else echo img('5.png') . "Участок <br />"; echo "</a>";
echo "<a href='?mod=home&amp;num=2'>"; if ( $info['home_2'] > 0) echo img('6.gif') . "Дом ($info[home_2] уровень) <br />"; else echo img('5.png') . "Участок <br />"; echo "</a>";
echo "<a href='?mod=home&amp;num=3'>"; if ( $info['home_3'] > 0) echo img('6.gif') . "Дом ($info[home_3] уровень) <br />"; else echo img('5.png') . "Участок <br />"; echo "</a>";
echo "<a href='?mod=home&amp;num=4'>"; if ( $info['home_4'] > 0) echo img('6.gif') . "Дом ($info[home_4] уровень) <br />"; else echo img('5.png') . "Участок <br />"; echo "</a>";
echo "<a href='?mod=home&amp;num=5'>"; if ( $info['home_5'] > 0) echo img('6.gif') . "Дом ($info[home_5] уровень) <br />"; else echo img('5.png') . "Участок <br />"; echo "</a>";
div('Меню');
echo img('7.png') . "<a href='?mod=money'>Собрать зарплату</a> <br />
" . img('8.png') . "<a href='?mod=state'>Состояние домов</a> <br />
" . img('11.png') . "<a href='?mod=neighbor'>Навредить соседу</a> <br />";
div('Разное');
echo "<small>
" . img('10.png') . "<a href='?mod=liaders'>Лидеры</a> <br />
" . img('8.gif') . "<a href='?mod=stat'>Статистика</a> <br />
" . img('9.gif') . "<a href='?mod=about_game'>Об игре</a> <br /></small> </div>";
if ( $user['level'] >= 4 ) echo div('<a href="my_sity_a.php">Админка</a><br/>');
break;
}
echo "<b><a href='games.php'>В игры</a></b><br />\n";
navig();
foot();
?>